### Enumeration

# Gcr DataFormat

#### Declaration

    enum Gcr.DataFormat

#### Description [src]

The various format identifiers.

#### Members

Name | Description
--- | ---
`GCR_FORMAT_ALL` | Represents all the formats, when enabling or disabling.
`GCR_FORMAT_INVALID` | Not a valid format.
`GCR_FORMAT_DER_PRIVATE_KEY` | DER encoded private key.
`GCR_FORMAT_DER_PRIVATE_KEY_RSA` | DER encoded RSA private key.
`GCR_FORMAT_DER_PRIVATE_KEY_DSA` | DER encoded DSA private key.
`GCR_FORMAT_DER_PRIVATE_KEY_EC` | DER encoded EC private key.
`GCR_FORMAT_DER_SUBJECT_PUBLIC_KEY` | DER encoded SubjectPublicKeyInfo.
`GCR_FORMAT_DER_CERTIFICATE_X509` | DER encoded X.509 certificate.
`GCR_FORMAT_DER_PKCS7` | DER encoded PKCS#7 container file which can contain certificates.
`GCR_FORMAT_DER_PKCS8` | DER encoded PKCS#8 file which can contain a key.
`GCR_FORMAT_DER_PKCS8_PLAIN` | Unencrypted DER encoded PKCS#8 file which can contain a key.
`GCR_FORMAT_DER_PKCS8_ENCRYPTED` | Encrypted DER encoded PKCS#8 file which can contain a key.
`GCR_FORMAT_DER_PKCS10` | DER encoded PKCS#10 certificate request file.
`GCR_FORMAT_DER_SPKAC` | DER encoded SPKAC as generated by HTML5 keygen element.
`GCR_FORMAT_BASE64_SPKAC` | OpenSSL style SPKAC data.
`GCR_FORMAT_DER_PKCS12` | DER encoded PKCS#12 file which can contain certificates and/or keys.
`GCR_FORMAT_OPENSSH_PUBLIC` | OpenSSH v1 or v2 public key.
`GCR_FORMAT_OPENPGP_PACKET` | OpenPGP key packet(s)
`GCR_FORMAT_OPENPGP_ARMOR` | OpenPGP public or private key armor encoded data.
`GCR_FORMAT_PEM` | An OpenSSL style PEM file with unspecified contents.
`GCR_FORMAT_PEM_PRIVATE_KEY_RSA` | An OpenSSL style PEM file with a private RSA key.
`GCR_FORMAT_PEM_PRIVATE_KEY_DSA` | An OpenSSL style PEM file with a private DSA key.
`GCR_FORMAT_PEM_CERTIFICATE_X509` | An OpenSSL style PEM file with an X.509 certificate.
`GCR_FORMAT_PEM_PKCS7` | An OpenSSL style PEM file containing PKCS#7
`GCR_FORMAT_PEM_PKCS8_PLAIN` | Unencrypted OpenSSL style PEM file containing PKCS#8
`GCR_FORMAT_PEM_PKCS8_ENCRYPTED` | Encrypted OpenSSL style PEM file containing PKCS#8
`GCR_FORMAT_PEM_PKCS12` | An OpenSSL style PEM file containing PKCS#12
`GCR_FORMAT_PEM_PRIVATE_KEY` | An OpenSSL style PEM file with a private key.
`GCR_FORMAT_PEM_PKCS10` | An OpenSSL style PEM file containing PKCS#10
`GCR_FORMAT_PEM_PRIVATE_KEY_EC` | An OpenSSL style PEM file with a private EC key.
`GCR_FORMAT_PEM_PUBLIC_KEY` | An OpenSSL style PEM file containing a SubjectPublicKeyInfo.